Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.command.impl
Class CommandServiceImpl

    java.lang.Object
      org.jbpm.command.impl.CommandServiceImpl

All Implemented Interfaces:
  java.io.Serializable, CommandService

    public class CommandServiceImpl

extends java.lang.Object
implements CommandService, java.io.Serializable

Provide services for accessing the jBPM engine. Access is currently provided through a set of `Command` derived operations.

Author:
  Jim Rigsbee, Tom Baeyens
See Also:
  Serialized Form

Field Summary
`protected JbpmConfiguration` | `jbpmConfiguration`

Constructor Summary
`CommandServiceImpl(JbpmConfiguration jbpmConfiguration)` Establish an instance of the command service with a particular jBPM configuration which provides connectivity to the jBPM engine and its related services including the persistence manager.

Method Summary
`java.lang.Object` | `execute(Command command)` Executes command based on its current context.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### jbpmConfiguration

    protected JbpmConfiguration jbpmConfiguration

Constructor Detail

### CommandServiceImpl

    public CommandServiceImpl(JbpmConfiguration jbpmConfiguration)

  Establish an instance of the command service with a particular jBPM configuration which provides connectivity to the jBPM engine and its related services including the persistence manager.

  Parameters:
    `jbpmConfiguration` - jBPM Configuration

Method Detail

### execute

    public java.lang.Object execute(Command command)

  Executes command based on its current context. Each command contains the appropriate context information such as token, process instance, etc. to insure that the operation is carried out on the proper graph object.

  Specified by:
    `execute` in interface `CommandService`
  Parameters:
    `command` - jBPM engine command to execute
  Returns:
    an object. The types of objects is determined by the command implementation. See those docs for more details on the return object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD